package de.dhbw.compiler.antlrxcompiler;

public enum XType {
	NoType(""),
	InvalidType(""),
	IntType("int"),
	FloatType("float"),
	StringType("String");

	private final String javaType;

	XType(String javaType) {
		this.javaType = javaType;
	}

	public String getJavaType() {
		return javaType;
	}

	public String toString() {
		switch (this) {
		case InvalidType: return "invalid";
		case IntType: return "int";
		case FloatType: return "float";
		case StringType: return "string";
		default: return "";
		}
	}
}